# cgroup_memory_recap – Profiles maximum memory usage of tasks and full execution using cgroups

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Notes
- Status

## Synopsis

- This is an ansible callback plugin that profiles maximum memory usage of ansible and individual tasks, and displays a recap at the end using cgroups

## Requirements

The below requirements are needed on the local master node that executes this callback.

- whitelist in configuration
- cgroups

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
cur_mem_file - / required |  | ini entries: [callback_cgroupmemrecap] cur_mem_file = VALUE env:CGROUP_CUR_MEM_FILE | Path to `memory.usage_in_bytes` file. Example `/sys/fs/cgroup/memory/ansible_profile/memory.usage_in_bytes`
max_mem_file - / required |  | ini entries: [callback_cgroupmemrecap] max_mem_file = VALUE env:CGROUP_MAX_MEM_FILE | Path to cgroups `memory.max_usage_in_bytes` file. Example `/sys/fs/cgroup/memory/ansible_profile/memory.max_usage_in_bytes`

## Notes

Note

- Requires ansible to be run from within a cgroup, such as with `cgexec -g memory:ansible_profile ansible-playbook ...`
- This cgroup should only be used by ansible to get accurate results
- To create the cgroup, first use a command such as `sudo cgcreate -a ec2-user:ec2-user -t ec2-user:ec2-user -g memory:ansible_profile`

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]
- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.